远程桌面链接提示“函数不支持”怎么办 给你更好的解决方案

现在我们使用远程桌面链接的场景和频率都是挺多的。而目前很多人还是在使用系统自带的远程桌面工具。在使用的过程中就难免会出现这样或者那样的问题。比如,远程桌面时 “出现身份验证错误,要求的函数不受支持”的错误是什么原因?怎么解决呢?今天分享一下。

解决方法如下:

这是由于本地客户端或者服务器端一方更新了CVE-2018-0886 的 CredSSP 补丁,而另外一方未安装更新的原因导致的,详见官方
远程桌面时出现“身份验证错误,要求的函数不受支持”解决办法如下:

方法一

本地电脑和服务器端都同时安装更新补丁,更新以后重启服务器。
补丁单独下载地址:
win 7、win2008 R2:KB4103718
win 8、win2012:KB4103730
win10、win2016 :KB4103721
注意下载对应版本补丁进行安装。

方法二

1、在运行里面输入gpedit.msc打开策略
2、找到该路径:“计算机配置”->“管理模板”->“系统”->“凭据分配” 在右边设置名称找到 “加密 Oracle 修正”,将保护级别更改为“易受攻击”。
3、修改以后在运行里面输入gpupdate更新策略。

方法三

若本地是win7系统,且没有 【加密 Oracle 修正】 选项,请先创建比如reg.txt文件,将如下代码添加到文件保存,保存后将txt后缀更改为reg,然后双击reg.reg导入到注册表重启电脑即可。
“身份验证错误,要求的函数不受支持”的解决方法
Windows Registry Editor Version 5.00
[HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Policies\System\CredSSP\Parameters]
“AllowEncryptionOracle”=dword:00000002

暂无评论

发送评论 编辑评论


				
|´・ω・)ノ
ヾ(≧∇≦*)ゝ
(☆ω☆)
(╯‵□′)╯︵┴─┴
 ̄﹃ ̄
(/ω\)
∠( ᐛ 」∠)_
(๑•̀ㅁ•́ฅ)
→_→
୧(๑•̀⌄•́๑)૭
٩(ˊᗜˋ*)و
(ノ°ο°)ノ
(´இ皿இ`)
⌇●﹏●⌇
(ฅ´ω`ฅ)
(╯°A°)╯︵○○○
φ( ̄∇ ̄o)
ヾ(´・ ・`。)ノ"
( ง ᵒ̌皿ᵒ̌)ง⁼³₌₃
(ó﹏ò。)
Σ(っ °Д °;)っ
( ,,´・ω・)ノ"(´っω・`。)
╮(╯▽╰)╭
o(*////▽////*)q
>﹏<
( ๑´•ω•) "(ㆆᴗㆆ)
😂
😀
😅
😊
🙂
🙃
😌
😍
😘
😜
😝
😏
😒
🙄
😳
😡
😔
😫
😱
😭
💩
👻
🙌
🖕
👍
👫
👬
👭
🌚
🌝
🙈
💊
😶
🙏
🍦
🍉
😣
Source: github.com/k4yt3x/flowerhd
颜文字
Emoji
小恐龙
花!
上一篇